#include <sys/timers.h>
#include <sys/types.h>
#include <assert.h>

void print_res()
{
    int ret;
    struct timestruc_t val1, val2;
    
    ret = restimer(ITIMER_VIRT, &val1, &val2);
    if (ret == -1)
	perror("");
    printf("Timer resolution is: %10.9f secs\n", (double)val1.tv_sec +
	((double)val1.tv_nsec)/1000000000.0);
}

double my_get_seconds()
{
    struct itimerspec val;

    assert (gettimer(ITIMER_VIRT, &val) == 0);
    return (double)val.it_value.tv_sec +
	((double)val.it_value.tv_nsec)/1000000000.0;
}
