/*									tab:4
 *
 * column.h - Prototypes for column.sc
 *
 * "Copyright (c) 1993 and The Regents of the University 
 * of California.  All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice and the following
 * two paragraphs appear in all copies of this software.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
 * CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS."
 *
 * Author: 			Andrea C. Dusseau
 * Version:			15
 * Creation Date:	Tue Jun 29 14:09:48 1993
 * Filename:		column.h
 * History:
 */

#ifndef __COLUMN_H__
#define __COLUMN_H__

#define TIME(t)  (t)

void radix_sort (int *c, int *t);
void InitCols(int *c);
void merge(int *buf1, int *buf2);
void Unshift(int *d, int *src);
void Shift(int *d, int *src);
void Transpose(int *d, int *s);
void TransSingle(int *d, int *s);
void TransSingleOpt(int *d, int *s);
void TransBuf(int *d, int *s);
void TransBufOpt(int *d, int *s);
void Untranspose(int *d, int *s);
void Untrans(int *d, int *s);
void UntransOpt(int *d, int *s);
void CheckResults(int *b, int flag);
void PrintResults();

#endif /* __COLUMN_H__ */

